SolrQuery::setFacetLimit
SolrQuery::setFacetMinCount
SolrQuery
PHP Manual

# SolrQuery::setFacetMethod

(PECL solr >= 0.9.2)

SolrQuery::setFacetMethod — Spécifie le type d'algorithme à utiliser pour un champ facet

### Description

public SolrQuery SolrQuery::setFacetMethod ( string `$method` [, string `$field_override` ] )

Spécifie le type d'algorithme à utiliser pour un champ facet.

### Liste de paramètres

`method`

  La méthode à utiliser.

`field_override`

  Le nom du champ.

### Valeurs de retour

Retourne l'objet SolrQuery courant, si la valeur retournée est utilisée.

SolrQuery::setFacetLimit
SolrQuery::setFacetMinCount
SolrQuery
PHP Manual